Error

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE
PATCH
GET
POST
GET
DELETE
GET
GET
DELETE
GET
GET
GET
POST
GET

List all environments error tracking assignment rules

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/assignment_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/assignment_rules/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": null,
"assignee": {
"type": "user",
"id": 0
},
"order_key": 0,
"disabled_data": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create environments error tracking assignment rules

Required API key scopes

error_tracking:write

Request parameters

  • filters
  • assignee
  • order_key
    integer
    Default: 0

Response


Example request

POST /api/environments/:environment_id/error_tracking/assignment_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/assignment_rules/\
-d filters=undefined,\
-d assignee=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": null,
"assignee": {
"type": "user",
"id": 0
},
"order_key": 0,
"disabled_data": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve environments error tracking assignment rules

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/error_tracking/assignment_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/assignment_rules/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": null,
"assignee": {
"type": "user",
"id": 0
},
"order_key": 0,
"disabled_data": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update environments error tracking assignment rules

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • filters
  • assignee

Example request

PATCH /api/environments/:environment_id/error_tracking/assignment_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/assignment_rules/:id/\
-d filters=undefined

Example response

Status 204 No response body

Delete environments error tracking assignment rules

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/error_tracking/assignment_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/assignment_rules/:id/

Example response

Status 204 No response body

Update environments error tracking assignment rules reorder

Request parameters

  • filters
  • order_key
    integer
  • disabled_data

Example request

PATCH /api/environments/:environment_id/error_tracking/assignment_rules/reorder
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/assignment_rules/reorder/\
-d filters=undefined

Example response

Status 200 No response body

List all environments error tracking external references

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/external_references
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/external_references/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"integration": {
"id": 0,
"kind": "string",
"display_name": "string"
},
"integration_id": 0,
"config": {
"property1": "string",
"property2": "string"
},
"issue": "984f8aab-1dc8-4804-8ae1-d0944856240b",
"external_url": "string"
}
]
}

Create environments error tracking external references

Required API key scopes

error_tracking:write

Request parameters

  • integration_id
    integer
  • config
    object
  • issue
    string

Response


Example request

POST /api/environments/:environment_id/error_tracking/external_references
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/external_references/\
-d integration_id="integer",\
-d config="object",\
-d issue="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"integration": {
"id": 0,
"kind": "string",
"display_name": "string"
},
"integration_id": 0,
"config": {
"property1": "string",
"property2": "string"
},
"issue": "984f8aab-1dc8-4804-8ae1-d0944856240b",
"external_url": "string"
}

Retrieve environments error tracking external references

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/error_tracking/external_references/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/external_references/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"integration": {
"id": 0,
"kind": "string",
"display_name": "string"
},
"integration_id": 0,
"config": {
"property1": "string",
"property2": "string"
},
"issue": "984f8aab-1dc8-4804-8ae1-d0944856240b",
"external_url": "string"
}

Delete environments error tracking external references

Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/error_tracking/external_references/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/external_references/:id/

Example response

Status 405 No response body

List all environments error tracking fingerprints

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/fingerprints
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/fingerprints/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"fingerprint": "string",
"issue_id": "117c70c4-891b-49ba-96f2-b7599e2af0f7",
"created_at": "2019-08-24T14:15:22Z"
}
]
}

Retrieve environments error tracking fingerprints

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/error_tracking/fingerprints/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/fingerprints/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"fingerprint": "string",
"issue_id": "117c70c4-891b-49ba-96f2-b7599e2af0f7",
"created_at": "2019-08-24T14:15:22Z"
}

Delete environments error tracking fingerprints

Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/error_tracking/fingerprints/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/fingerprints/:id/

Example response

Status 405 No response body



List all environments error tracking grouping rules

Required API key scopes

error_tracking:read

Response


Example request

GET /api/environments/:environment_id/error_tracking/grouping_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/grouping_rules/

Example response

Status 200
RESPONSE
{
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": null,
"assignee": {
"type": "user",
"id": 0
},
"description": "string",
"issue": {
"property1": "string",
"property2": "string"
},
"order_key": 0,
"disabled_data": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create environments error tracking grouping rules

Required API key scopes

error_tracking:write

Request parameters

  • filters
  • assignee
  • description
    stringnull

Response


Example request

POST /api/environments/:environment_id/error_tracking/grouping_rules
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/grouping_rules/\
-d filters=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": null,
"assignee": {
"type": "user",
"id": 0
},
"description": "string",
"issue": {
"property1": "string",
"property2": "string"
},
"order_key": 0,
"disabled_data": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve environments error tracking grouping rules

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/error_tracking/grouping_rules/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/grouping_rules/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filters": null,
"assignee": {
"type": "user",
"id": 0
},
"description": "string",
"issue": {
"property1": "string",
"property2": "string"
},
"order_key": 0,
"disabled_data": null,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Community questions

Questions about this page? or post a community question.